org.apache.commons.math3.ode.sampling

## Enum StepNormalizerBounds

- java.lang.Object
- - java.lang.Enum<StepNormalizerBounds>
  - - org.apache.commons.math3.ode.sampling.StepNormalizerBounds

- All Implemented Interfaces:
    Serializable, Comparable<StepNormalizerBounds>

      public enum StepNormalizerBounds
      extends Enum<StepNormalizerBounds>

  `Step normalizer` bounds settings. They influence whether the underlying fixed step size step handler is called for the first and last points. Note that if the last point coincides with a normalized point, then the underlying fixed step size step handler is always called, regardless of these settings.
  Since:
    3.0
  Version:
    $Id: StepNormalizerBounds.java 1244107 2012-02-14 16:17:55Z erans $
  See Also:
    `StepNormalizer`, `StepNormalizerMode`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` Include both the first and last points.
    `FIRST` Include the first point, but not the last point.
    `LAST` Include the last point, but not the first point.
    `NEITHER` Do not include the first and last points.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `firstIncluded()` Returns a value indicating whether the first point should be passed to the underlying fixed step size step handler.
    `boolean` | `lastIncluded()` Returns a value indicating whether the last point should be passed to the underlying fixed step size step handler.
    `static StepNormalizerBounds` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StepNormalizerBounds[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEITHER

          public static final StepNormalizerBounds NEITHER

      Do not include the first and last points.

    - #### FIRST

          public static final StepNormalizerBounds FIRST

      Include the first point, but not the last point.

    - #### LAST

          public static final StepNormalizerBounds LAST

      Include the last point, but not the first point.

    - #### BOTH

          public static final StepNormalizerBounds BOTH

      Include both the first and last points.

  - ### Method Detail

    - #### values

          public static StepNormalizerBounds[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StepNormalizerBounds c : StepNormalizerBounds.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StepNormalizerBounds valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### firstIncluded

          public boolean firstIncluded()

      Returns a value indicating whether the first point should be passed to the underlying fixed step size step handler.
      Returns:
        value indicating whether the first point should be passed to the underlying fixed step size step handler.

    - #### lastIncluded

          public boolean lastIncluded()

      Returns a value indicating whether the last point should be passed to the underlying fixed step size step handler.
      Returns:
        value indicating whether the last point should be passed to the underlying fixed step size step handler.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.